Package org.bukkit.block.structure

# Enum Class StructureRotation

java.lang.Object
java.lang.Enum<StructureRotation>
org.bukkit.block.structure.StructureRotation

All Implemented Interfaces:
  `Serializable`, `Comparable<StructureRotation>`, `Constable`

public enum StructureRotation extends Enum<StructureRotation>
Represents how a `Structure` can be rotated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOCKWISE_180`
Rotated clockwise 180 degrees.
`CLOCKWISE_90`
Rotated clockwise 90 degrees.
`COUNTERCLOCKWISE_90`
Rotated counter clockwise 90 degrees.
`NONE`
No rotation.

## Method Summary

Modifier and Type
Method
Description
`static StructureRotation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StructureRotation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final StructureRotation NONE
No rotation.

### CLOCKWISE_90

public static final StructureRotation CLOCKWISE_90
Rotated clockwise 90 degrees.

### CLOCKWISE_180

public static final StructureRotation CLOCKWISE_180
Rotated clockwise 180 degrees.

### COUNTERCLOCKWISE_90

public static final StructureRotation COUNTERCLOCKWISE_90
Rotated counter clockwise 90 degrees.
Equivalent to rotating clockwise 270 degrees.

## Method Details

### values

public static StructureRotation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StructureRotation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null